[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TryEnterCriticalSection

Try entering a critical section

## Declaration

Source position: threadh.inc line 171

`function TryEnterCriticalSection(`
`var cs: TRTLCRITICALSECTION`
`):LongInt;`

## Description

TryEnterCriticalsection attempts to enter critical section cs. It returns at once. The return value is zero if another thread owns the critical section, or nonzero if the current thread already owns or successfully obtained the critical section.